Subject: Re: bash bug
From: Earnie Boyd <[email-masked]>
To: Aldo Mazzilli <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Wed, 17 Feb 1999 16:30:48 -0800 (PST)

---Aldo Mazzilli <[email-masked]> wrote:
>
> Earnie Boyd wrote:
> > 
> > Which tclsh are you using?  The one supplied with the cygwin package
> > or the native built one?
> > 
> > I suspect the problem is with the [no]tty setting of the CYGWIN
> > environment variable.  It should be notty if you're communicating
with
> > non-cygwin executables.
> > 
> > Regards,
> > Earnie.
> > 
> > ---Aldo Mazzilli <[email-masked]> wrote:
> > >
> > > I've written a TCL script which does the following things :
> > >
> > >       1 --> gets a Shell command from stdin
> > >       2 --> open a Bash shell within a pipe
> > >       3 --> puts the command on the pipeline
> > >       4 --> gets the result
> > >
> > > PROBLEM :
> > > I can't get any results after the 4th step with Cygnus Solution
: :-(
> > > I get the right result with MKS KSH or UWIN KSH :  :-)
> > > Can you give me any reason, please ???
> > >
> > >
> 
> Thanks Earnie for your so quick response.
> I use the native tclsh 8.1 because Cygwish freeze with my script.
> I've tried setting CYGWIN=tty or notty  but nothing to do ...
> 
> Any other ideas ??

Nope! :-(

Here's a test script.  For this bug.

-----
#!/usr/bin/cygtclsh80

set p1 [open |bash r+]

#NOTE: it doesn't matter if it is bash or sh

puts $p1 ls
flush $p1

gets $p1 lsline
puts $lsline
#end of script
-----

The bug is that the script will hang at the `gets $p1 lsline'.  It
should get the first line of the directory listing and print it one
the console.
==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]